Support » Plugin: WordPress Native PHP Sessions » Session_id() Warning

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Daniel Bachhuber

    (@danielbachhuber)

    Hi @fdeross,

    Sorry to hear you’re having troubles.

    It’s hard to say what the problem might be without having access to the site. If this site is hosted on Pantheon, feel free to add me to a multidev environment and I can take a quick look. Otherwise, if you find a specific issue with the plugin, please provide reproduction steps and we can see about a fix.

    jenclayton

    (@jenclayton)

    I have the same issue. Was on Pantheon Support and they sent me here.

    Plugin Author Daniel Bachhuber

    (@danielbachhuber)

    @jenclayton Can you email the address on my GitHub profile and we can work through the issue?

    Plugin Author Daniel Bachhuber

    (@danielbachhuber)

    The specific problem in this case is that some other plugin is starting a session before WP Native PHP Sessions is loaded.

    To fix the issue on @jenclayton’s site, I created a mu-plugin (wp-content/mu-plugins/wpnps-loader.php) to load WP Native PHP Sessions earlier than all of the other plugins:

    
    <?php
    require_once WP_PLUGIN_DIR . '/wp-native-php-sessions/pantheon-sessions.php';
    
    jenclayton

    (@jenclayton)

    Awesome. Thank you so much Daniel!

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.